package com.example.tasks.navigation


sealed class Screen(val route:String) {
    object Start: Screen("start")
    object SignIn:Screen("sinIn")
    object SignInPassword:Screen("sinInPassword")
    object SignUpPassword:Screen("signUpPassword")
    object EnterOTP: Screen("enterOTP")
    object CreateProfile: Screen("createProfile")
    object Profile:Screen("profile")
    object ProfileSeller:Screen("profile_seller")
    object Load:Screen("load")
    object AppNavigationCustomers:Screen("app_navigation_customers")
    object AppNavigationSellers:Screen("app_navigation_sellers")
    object CatalogCustomers:Screen("catalog_customer")
    object CatalogSellers:Screen("catalog_seller")
    object AddProduct:Screen("add_product")
    object Card:Screen("card")

    fun withArg(vararg args: String): String {
        return buildString {
            append(route)
            args.forEach { arg ->
                append("/$arg")
            }
        }
    }
}